{% extends 'report/insights/insights.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('report/insights/settlement_information') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('report/insights/settlement_information') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Ansiedlungsdaten</h2>
                <p>Hier finden sich einige aus den in LeAn® erfassten Daten abgeleitete Statistiken rund um die Ansiedlung.</p>
                <p>
                    <small>
                        <strong>Hinweis:</strong> Alle Daten beruhen auf einer Momentaufnahme der aktuell in LeAn® eingetragenen Informationen.
                        Eine detaillierte Auswertung ist ohne eine fundierte Datengrundlage, die über größere Zeiträume erhoben wurde, zum jetzigen Zeitpunkt nicht möglich.
                    </small>
                </p>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4 text-center mb-3 h-100">
                    <h3 class="mb-3">Ansiedlungsgesuche</h3>
                    <div class="row">
                        <div class="col-12 col-md-6 col-lg-4 text-center">
                            <p class="fs-1 mb-1 text-success">
                                <strong>{{ settlementStatistics.getActiveLookingForPropertyRequest()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>aktive<br>Ansiedlungsgesuche</small>
                            </p>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4 text-center">
                            <p class="fs-1 mb-1 text-warning">
                                <strong>{{ settlementStatistics.getInactiveLookingForPropertyRequest()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>inaktive<br>Ansiedlungsgesuche</small>
                            </p>
                        </div>
                        <div class="col-12 col-md-12 col-lg-4 text-center">
                            <p class="fs-1 mb-1 text-secondary">
                                <strong>{{ settlementStatistics.getArchivedLookingForPropertyRequest()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>archivierte<br>Ansiedlungsgesuche</small>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4 text-center h-100">
                    <h3 class="mb-3">Matching <small class="text-secondary">(Objekt sucht Konzept)</small></h3>
                    <div class="row">
                        <div class="col-12 col-md-6 text-center">
                            <p class="fs-1 mb-1 text-success">
                                <strong>{{ settlementStatistics.getMatchingTask()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>gestartete<br>Matchings</small>
                            </p>
                        </div>
                        <div class="col-12 col-md-6 text-center">
                            <p class="fs-1 mb-1 text-secondary">
                                <strong>{{ settlementStatistics.getAverageNumberOfResultsPerMatching()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>durchschnittliche Treffer<br>pro Matching</small>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4 text-center h-100">
                    <h3 class="mb-3">Weiterleitungen</h3>
                    <div class="row">
                        <div class="col-12 col-md-6 text-center">
                            <p class="fs-1 mb-1 text-success">
                                <strong>{{ settlementStatistics.getLookingForPropertyRequestExposeForwarding()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>Exposé-Weiterleitungen<br>zu Ansiedlungsgesuchen<br><small>(bei uns eingegangen)</small></small>
                            </p>
                        </div>
                        <div class="col-12 col-md-6 text-center">
                            <p class="fs-1 mb-1 text-secondary">
                                <strong>{{ settlementStatistics.getSettlementConceptExposeForwarding()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>Exposé-Weiterleitungen<br>zu Ansiedlungskonzepten<br><small>(aus Datenbank)</small></small>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4 text-center h-100">
                    <h3 class="mb-3">Ansiedlungen</h3>
                    <div class="row">
                        <div class="col-12 text-center">
                            <p class="fs-1 mb-1 text-success">
                                <strong>{{ settlementStatistics.getSuccessfulSettlement()|number_format(0,',','.') }}</strong>
                            </p>
                            <p>
                                <small>Erfolgreiche Ansiedlungen<br>(auf Vertrag geschlossen gesetzt)</small>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
